﻿General quality of life building mod that allows you to cycle through various snap-points when targeting a piece in game - without needing to point at them directly with the mouse!

Adds the following key-bindings:
Left-Control to cycle through the snap points on the currently selected building piece
Left-Alt to cycle through the snap points on the currently targeted building piece
Right-Control to enable / disable SnapMod with target cycle
Caps-Lock to enable / disable SnapMod with closest target snap point

Key binds can be changed at 
Valheim/BepInEx/config/yardik.SnapPointsMadeEasy.cfg (this will be generated on first load of the mod)

There is a config option to switch this mod to hold-to-use instead of toggle.

**Usage:**
Grab a hammer and select a piece to place. 
Hit Right-Control to enable SnapMod in cycle mode. Point your piece at the piece you want to snap to and hit Left-Control to cycle through the snap points on the piece you're holding. Use Left-Alt to cycle through destination snap points. For example you can snap a horizontal pillar to the middle of the vertical pillar by cycling both to their midpoint snap points.
Use Caps-Lock to use SnapMod in closest target snappoint mode. You can still cycle the snap points of the currently placing piece with Left-Control.

**Installation: **
Unzip into your BepInEx/plugins folder.

**Source Code:**
[GitHub](https://github.com/MathiasDecrock/ValheimSnapSelectorMod)